{* Template to display products in boxes and product lists *}
{* Copyright by CiN GmbH (com-ins-netz) *}

<div class="product-cell{if isset($class)} {$class}{/if}">
    <a class="image-wrapper" href="{$Artikel->cURL}">
        {if $hp_cfg.hp_show_art_img == 'Y'}
            {if isset($Artikel->Bilder[0]->cAltAttribut)}{assign var="imgTitle" value=$Artikel->Bilder[0]->cAltAttribut|strip_tags|escape:"quotes"}
            {else}{assign var="imgTitle" value=$Artikel->cName}
            {/if}
            {if isset($hp_cfg.hp_art_img_size)}{assign var="imgSize" value=$hp_cfg.hp_art_img_size}
            {else}{assign var="imgSize" value='cPfadNormal'}
            {/if}
            {include file=$hp_oPlugin->cFrontendPfad|cat:"template/image_homepage.tpl" src=$Artikel->Bilder[0]->$imgSize alt=$imgTitle}
        {/if}
        {if isset($Artikel->oSuchspecialBild) && $hp_cfg.hp_show_art_overlays == 'Y'}
            {if isset($Artikel->oSuchspecialBild->cSuchspecial)}{assign var="imgTitle" value=$Artikel->oSuchspecialBild->cSuchspecial}
            {else}{assign var="imgTitle" value=$Artikel->cName}
            {/if}
            {if isset($hp_cfg.hp_art_img_size_overlay)}{assign var="imgSize" value=$hp_cfg.hp_art_img_size_overlay}
            {else}{assign var="imgSize" value='cPfadKlein'}
            {/if}
            <img class="overlay-img hidden-xs" src="{$Artikel->oSuchspecialBild->$imgSize}" alt="{$imgTitle}" />
        {/if}
    </a>

    <div class="caption {$hp_alignClass}">
        <h4 class="title">
            <a href="{$Artikel->cURL}">{$Artikel->cName}</a>
        </h4>
        {if $Artikel->fDurchschnittsBewertung > 0}
            {include file='productdetails/rating.tpl' stars=$Artikel->fDurchschnittsBewertung}
            <br/>
        {/if}
        {if $hp_cfg.hp_show_art_price == 'Y'}
            {include file="productdetails/price.tpl" Artikel=$Artikel price_image=$Artikel->Preise->strPreisGrafik_Suche tplscope=$tplscope}
        {/if}
    </div>

    {if $hp_cfg.hp_show_cart_btn == 'Y' || $hp_cfg.hp_show_art_stock == 'Y'}
        <form action="navi.php" method="post" class="form form-basket" data-toggle="basket-add">
            {$jtl_token}

            {if $hp_cfg.hp_show_art_stock == 'Y'}
                <div class="delivery-status {$hp_alignClass}">
                    {assign var=anzeige value=$Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandsanzeige}
                    {if $Artikel->nErscheinendesProdukt}
                        <div class="availablefrom">
                            <small>{lang key="productAvailable" section="global"}: {$Artikel->Erscheinungsdatum_de}</small>
                        </div>
                        {if $Einstellungen.global.global_erscheinende_kaeuflich == 'Y'}
                            <div class="attr attr-preorder"><small class="value">{lang key="preorderPossible" section="global"}</small></div>
                            {/if}
                        {elseif $anzeige !== 'nichts' && $Artikel->cLagerBeachten == 'Y' && ($Artikel->cLagerKleinerNull == 'N' || $Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandanzeige_anzeigen == 'U') && $Artikel->fLagerbestand <= 0 && $Artikel->fZulauf > 0 && isset($Artikel->dZulaufDatum_de)}
                            {assign var=cZulauf value=$Artikel->fZulauf|cat:':::'|cat:$Artikel->dZulaufDatum_de}
                        <div class="signal_image a1"><small>{lang key="productInflowing" section="productDetails" printf=$cZulauf}</small></div>
                            {elseif $anzeige !== 'nichts' && $Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandanzeige_anzeigen !== 'N' && $Artikel->cLagerBeachten == 'Y' && $Artikel->fLagerbestand <= 0 && $Artikel->fLieferantenlagerbestand > 0 && $Artikel->fLieferzeit > 0 && ($Artikel->cLagerKleinerNull == 'N' || $Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandanzeige_anzeigen == 'U')}
                        <div class="signal_image a1"><small>{lang key="supplierStockNotice" section="global" printf=$Artikel->fLieferzeit}</small></div>
                            {elseif $anzeige == 'verfuegbarkeit' || $anzeige == 'genau'}
                        <div class="signal_image a{$Artikel->Lageranzeige->nStatus}"><small>{$Artikel->Lageranzeige->cLagerhinweis[$anzeige]}</small></div>
                            {elseif $anzeige == 'ampel'}
                        <div class="signal_image a{$Artikel->Lageranzeige->nStatus}"><small>{$Artikel->Lageranzeige->AmpelText}</small></div>
                            {/if}
                            {if $Artikel->cEstimatedDelivery}
                        <div class="estimated_delivery a{$Artikel->Lageranzeige->nStatus} hidden-xs">
                            <small>{lang key="shippingTime" section="global"}: {$Artikel->cEstimatedDelivery}</small>
                        </div>
                    {/if}
                </div>
            {/if}

            {if $hp_cfg.hp_show_cart_btn == 'Y'}
                <div class="hidden-xs">
                    {if ($Artikel->inWarenkorbLegbar == 1 || ($Artikel->nErscheinendesProdukt == 1 && $Einstellungen.global.global_erscheinende_kaeuflich == 'Y')) && $Artikel->nIstVater == 0 && $Artikel->Variationen|@count == 0 && !$Artikel->bHasKonfig}
                        <div class="quantity-wrapper form-group top7">
                            <div class="input-group input-group-sm">
                                <input type="number"{if $Artikel->fAbnahmeintervall > 0} step="{$Artikel->fAbnahmeintervall}"{/if} size="2" id="quantity{$Artikel->kArtikel}" class="quantity form-control text-right" name="anzahl" autocomplete="off" value="{if $Artikel->fAbnahmeintervall}{$Artikel->fAbnahmeintervall}{else}1{/if}" />

                                <span class="change_quantity input-group-btn">
                                    <button type="submit" class="btn btn-default" id="submit{$Artikel->kArtikel}" title="{lang key="addToCart" section="global"}">
                                        <span class="fa fa-shopping-cart"></span>
                                        <span class="{if $hp_cfg.hp_cols_arts > 4}hidden{else}hidden-md{/if}"> {lang key="addToCart" section="global"}</span>
                                    </button>
                                </span>
                            </div>
                        </div>
                    {else}
                        <div class="top7 form-group">
                            <a class="btn btn-default btn-sm btn-block" role="button" href="{$Artikel->cURL}">{lang key="details"}</a>
                        </div>
                    {/if}
                </div>
            {/if}

            <input type="hidden" name="a" value="{$Artikel->kArtikel}" />
            <input type="hidden" name="wke" value="1" />
            <input type="hidden" name="overview" value="1" />
            <input type="hidden" name="Sortierung" value="{if !empty($Suchergebnisse->Sortierung)}{$Suchergebnisse->Sortierung}{/if}" />
            {if isset($Suchergebnisse->Seitenzahlen) && $Suchergebnisse->Seitenzahlen->AktuelleSeite > 1}
                <input type="hidden" name="seite" value="{$Suchergebnisse->Seitenzahlen->AktuelleSeite}" />
            {/if}
            {if isset($NaviFilter->Kategorie) && $NaviFilter->Kategorie->kKategorie > 0}
                <input type="hidden" name="k" value="{$NaviFilter->Kategorie->kKategorie}" />
            {/if}
            {if isset($NaviFilter->Hersteller) && $NaviFilter->Hersteller->kHersteller > 0}
                <input type="hidden" name="h" value="{$NaviFilter->Hersteller->kHersteller}" />
            {/if}
            {if isset($NaviFilter->Suchanfrage) && $NaviFilter->Suchanfrage->kSuchanfrage > 0}
                <input type="hidden" name="l" value="{$NaviFilter->Suchanfrage->kSuchanfrage}" />
            {/if}
            {if isset($NaviFilter->MerkmalWert) && $NaviFilter->MerkmalWert->kMerkmalWert > 0}
                <input type="hidden" name="m" value="{$NaviFilter->MerkmalWert->kMerkmalWert}" />
            {/if}
            {if isset($NaviFilter->Tag) && $NaviFilter->Tag->kTag > 0}<input type="hidden" name="t" value="{$NaviFilter->Tag->kTag}">
            {/if}
            {if isset($NaviFilter->KategorieFilter) && $NaviFilter->KategorieFilter->kKategorie > 0}
                <input type="hidden" name="kf" value="{$NaviFilter->KategorieFilter->kKategorie}" />
            {/if}
            {if isset($NaviFilter->HerstellerFilter) && $NaviFilter->HerstellerFilter->kHersteller > 0}
                <input type="hidden" name="hf" value="{$NaviFilter->HerstellerFilter->kHersteller}" />
            {/if}

            {if isset($NaviFilter->MerkmalFilter)}
                {foreach name=merkmalfilter from=$NaviFilter->MerkmalFilter item=mmfilter}
                    <input type="hidden" name="mf{$smarty.foreach.merkmalfilter.iteration}" value="{$mmfilter->kMerkmalWert}" />
                {/foreach}
            {/if}
            {if isset($NaviFilter->TagFilter)}
                {foreach name=tagfilter from=$NaviFilter->TagFilter item=tag}
                    <input type="hidden" name="tf{$smarty.foreach.tagfilter.iteration}" value="{$tag->kTag}" />
                {/foreach}
            {/if}
        </form>
    {/if}
</div>{* /product-cell *}
